Check if code point is a graphic character

- « IntlChar::isdigit

- IntlChar::isIDIgnorable »

- PHP Manual
- IntlChar
- Check if code point is a graphic character

# IntlChar::isgraph

(PHP 7, PHP 8)

IntlChar::isgraph — Check if code point is a graphic character

### Description

public static IntlChar::isgraph(int|string `$codepoint`): ?bool

Determines whether the specified code point is a "graphic" character (printable, excluding spaces).

`true` for all characters except those with general categories "Cc" (control codes), "Cf" (format controls), "Cs" (surrogates), "Cn" (unassigned), and "Z" (separators).

### Parameters

`codepoint`

  The int codepoint value (e.g. `0x2603` for U+2603 SNOWMAN), or the character encoded as a UTF-8 string (e.g. `"\u{2603}"`)

### Return Values

Returns `true` if `codepoint` is a "graphic" character, `false` if not. Returns `null` on failure.

### Examples

Example #1 Testing different code points

    <?php
    var_dump(IntlChar::isgraph("A"));
    var_dump(IntlChar::isgraph("1"));
    var_dump(IntlChar::isgraph("\u{2603}"));
    var_dump(IntlChar::isgraph("\n"));
    ?>

The above example will output:

    bool(true)
    bool(true)
    bool(true)
    bool(false)

### See Also

- ctype_graph() - Check for any printable character(s) except space